New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Voices

Replace a saved voice's audio

POST
/api/v1/voices/{voice_id}/audio

Replace a saved voice's audio and its transcript together. Without text the transcript is cleared and the next generation transcribes the new audio.

Path Parameters

voice_id*Voice Id

Request Body

application/json
  1. body
audio_base64*Audio Base64

Base64-encoded replacement audio (WAV)

text?|

Transcript of the new audio. Omit it to clear the transcript. The next generation then transcribes the new audio.

word_timestamps?array<>|

Word-level timestamps for text

transcript_manual?|

True if the user wrote or corrected text

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

message?Message

Human-readable result message

Default""
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/voices/string/audio' \  -H 'Content-Type: application/json' \  -d '{  "audio_base64": "UklGRi4AAABXQVZFZm10IBAAAA..."}'
Example Response
{  "success": true,  "message": ""}